/**
 * @description: 从本地拿数据
 * @param {string} name locastorage的key
 * @param {string} prop 属性名，不传就返回整个对象
 * @return {*}
 */
const getLocalInfo = (name: string, prop?: string): string | string[] => {
  let selectInfo = localStorage.getItem(name)
  if (selectInfo) {
    let jsonSelectInfo = JSON.parse(selectInfo)

    if (prop) return jsonSelectInfo[prop]
    else return jsonSelectInfo
  }
  return ''
}

/**
 * @description: 保存到本地
 * @param {string} name locastorage的key
 * @param {any} value 值
 * @param {string} prop 属性名
 * @return {*}
 */
const saveLocalInfo = (name: string, value: any, prop?: string) => {
  let selectInfo = localStorage.getItem(name)
  if (selectInfo) {
    let jsonSelectInfo = JSON.parse(selectInfo)
    if (prop) jsonSelectInfo[prop] = value
    localStorage.setItem('selectInfo', JSON.stringify(jsonSelectInfo))
  } else {
    localStorage.setItem('selectInfo', JSON.stringify(value))
  }
}

export { getLocalInfo, saveLocalInfo }
